#ifndef C4D_SYMBOLS_H__
#define C4D_SYMBOLS_H__

enum
{
  // Plugin IDs
  PID_ASSETAPI_EXAMPLES = 1058220,
  PID_CUSTOMDATATYPE_DOTS = 1058736,
  PID_CUSTOMGUI_DOTS = 1058737,

  // Command IDs
  CID_ASSER_BROWSER = 1054225,
  CID_ASSET_BROWSER_PREFERENCES = 1019747,
  CID_CLEAR_CONSOLE = 13957,
  CID_FRAME_SELECTED_OBJECT = 12151,
  CID_MATERIAL_MANAGER = 12159,
  CID_MATERIAL_NODES_MODE = 465002360,
  CID_NODE_EDITOR = 465002211,
  CID_OBJECT_MANAGER_1 = 100004700,
  CID_OPEN_CONSOLE = 12305,
  CID_SCENE_NODES_MODE = 465002361,

  // --- Asset API Examples ------------------------------------------------------------------------

	// Gadgets IDs
  DLG_ASSETAPI_EXAMPLES = 1000,
  ID_LISTVIEW_COLUMN_NAME,
  ID_CHK_CLEAR_CONSOLE,
  ID_BTN_OPEN_HANDBOOK,
  ID_CMB_CATEGORIES,
  ID_CATEGORY_DATABASES,
  ID_CATEGORY_METADATA,
  ID_CATEGORY_ASSET_TYPES,
  ID_CATEGORY_IMPL_PRESET_ASSET,
  ID_LV_CONTENT,
  ID_MLE_HELP,
  ID_BTN_LOAD_SCENE,
  ID_BTN_RUN,

  // Plugin Registration Strings
  IDS_NME_ASSET_API_EXAMPLES,
  IDS_HLP_ASSET_API_EXAMPLES,

  // Dialog Strings
  IDS_HLP_DEFAULT_1,
  IDS_HLP_DEFAULT_2,
  IDS_HLP_DEFAULT_3,
  IDS_HLP_CLEAR_CONSOLE,
  IDS_HLP_OPEN_HANDBOOK,
  IDS_HLP_LOAD_SCENE,
  IDS_URL_HANDBOOK_DATABASES,
  IDS_URL_HANDBOOK_ASSETTYPES,
  IDS_URL_HANDBOOK_METADATA,
  IDS_URL_HANDBOOK_IMPL_PRESET_ASSET,

  // Examples strings -  The plugin does rely on the fact that a help string is the successor to 
  // the matching label string. It infers the help string of a label as IDS_HLP_SOMETHING == 
  // IDS_LBL_SOMETHNG + 1. So the order matters here, DO NOT REARRANGE without keeping this 
  // relation. 

  // Databases
  IDS_LBL_ADD_DATABASE,
  IDS_HLP_ADD_DATABASE,
  IDS_LBL_REMOVE_DATABASE,
  IDS_HLP_REMOVE_DATABASE,
  IDS_LBL_ACTIVATE_DATABASE,
  IDS_HLP_ACTIVATE_DATABASE,
  IDS_LBL_DEACTIVATE_DATABASE,
  IDS_HLP_DEACTIVATE_DATABASE,
  IDS_LBL_ACCESS_USER_DATABASES,
  IDS_HLP_ACCESS_USER_DATABASES,
  IDS_LBL_CREATE_REPOSITORIES,
  IDS_HLP_CREATE_REPOSITORIES,
  IDS_LBL_ACCESS_IMPORTANT_REPOSITORIES,
  IDS_HLP_ACCESS_IMPORTANT_REPOSITORIES,
  IDS_LBL_ATTACH_OBESERVERS,
  IDS_HLP_ATTACH_OBESERVERS,
  IDS_LBL_DETACH_OBSERVERS,
  IDS_HLP_DETACH_OBSERVERS,
  IDS_LBL_COPY_ASSET,
  IDS_HLP_COPY_ASSET,
  IDS_LBL_ERASE_ASSET,
  IDS_HLP_ERASE_ASSET,
  IDS_LBL_SIMPLE_ASSET_SEARCH,
  IDS_HLP_SIMPLE_ASSET_SEARCH,
	IDS_LBL_FILTERED_ASSET_SEARCH,
	IDS_HLP_FILTERED_ASSET_SEARCH,
  IDS_LBL_SORTED_ASSET_SEARCH,
  IDS_HLP_SORTED_ASSET_SEARCH,

  // Asset Types
  IDS_LBL_CREATE_MATERIAL_ASSET,
  IDS_HLP_CREATE_MATERIAL_ASSET,
  IDS_LBL_CREATE_MATERIAL_NODE_ASSET,
  IDS_HLP_CREATE_MATERIAL_NODE_ASSET,
  IDS_LBL_CREATE_OBJECT_ASSET,
  IDS_HLP_CREATE_OBJECT_ASSET,
  IDS_LBL_CREATE_SCENE_NODE_ASSET,
  IDS_HLP_CREATE_SCENE_NODE_ASSET,
  IDS_LBL_CREATE_SCENE_ASSET,
  IDS_HLP_CREATE_SCENE_ASSET,
  IDS_LBL_CREATE_MEDIA_FILE_ASSET,
  IDS_HLP_CREATE_MEDIA_FILE_ASSET,
  IDS_LBL_CREATE_ARBITRARY_FILE_ASSET,
  IDS_HLP_CREATE_ARBITRARY_FILE_ASSET,
  IDS_LBL_CREATE_CATEGORY_ASSET,
  IDS_HLP_CREATE_CATEGORY_ASSET,
  IDS_LBL_CREATE_KEYWORD_ASSET,
  IDS_HLP_CREATE_KEYWORD_ASSET,
  IDS_LBL_LOAD_MATERIAL_ASSET,
  IDS_HLP_LOAD_MATERIAL_ASSET,
  IDS_LBL_LOAD_MATERIAL_NODE_ASSET,
  IDS_HLP_LOAD_MATERIAL_NODE_ASSET,
  IDS_LBL_LOAD_OBJECT_ASSET,
  IDS_HLP_LOAD_OBJECT_ASSET,
  IDS_LBL_LOAD_SCENE_NODE_ASSET,
  IDS_HLP_LOAD_SCENE_NODE_ASSET,
  IDS_LBL_LOAD_SCENE_ASSET,
  IDS_HLP_LOAD_SCENE_ASSET,
  IDS_LBL_LINK_MEDIA_ASSET,
  IDS_HLP_LINK_MEDIA_ASSET,

  // Metadata
  IDS_LBL_ACCESS_ASSETDESCRIPTION_DATA,
  IDS_HLP_ACCESS_ASSETDESCRIPTION_DATA,
  IDS_LBL_ADD_ASSET_VERSION,
  IDS_HLP_ADD_ASSET_VERSION,
  IDS_LBL_READ_ASSETMETADATA,
  IDS_HLP_READ_ASSETMETADATA,
  IDS_LBL_WRITE_ASSETMETADATA,
  IDS_HLP_WRITE_ASSETMETADATA,
  IDS_LBL_GENERATE_ASSET_IDENTIFIERS,
  IDS_HLP_GENERATE_ASSET_IDENTIFIERS,
  IDS_LBL_ITERATE_ASSET_METADATA,
  IDS_HLP_ITERATE_ASSET_METADATA,
  IDS_LBL_FIND_CATEGORY_BY_NAME,
  IDS_HLP_FIND_CATEGORY_BY_NAME,
  IDS_LBL_FIND_CATEGORY_BY_PATH,
  IDS_HLP_FIND_CATEGORY_BY_PATH,

  // Dots Preset Asset
  IDS_LBL_DOTS_ADD_NULL,
  IDS_HLP_DOTS_ADD_NULL,
  IDS_LBL_DOTS_INSTANTIATE,
  IDS_HLP_DOTS_INSTANTIATE,
  IDS_LBL_DOTS_INCREASE_SCALE,
  IDS_HLP_DOTS_INCREASE_SCALE,
  IDS_LBL_DOTS_DECREASE_SCALE,
  IDS_HLP_DOTS_DECREASE_SCALE,

  // --- Dots custom data and gui  -----------------------------------------------------------------

  // Gadgets IDs
  ID_USERAREA,
  ID_BTN_LOAD_PRESET,
  ID_BTN_SAVE_PRESET,

  // Strings
  IDS_DOTS_DATATYPE,
  IDS_DOTS_GUI,
  IDS_DOTS_ASSET,

// End of symbol definition
	_DUMMY_ELEMENT_
};

#endif //C4D_SYMBOLS_H__
